## org.hibernate.envers.tools
Class Pair<T1,T2>

    java.lang.Object
      org.hibernate.envers.tools.Pair<T1,T2>

Type Parameters:
  `T1` -
  `T2` -

    public class Pair<T1,T2>

extends Object

A pair of objects.

Author:
  Adam Warski (adamw@aster.pl)

Constructor Summary
`Pair(T1 obj1, T2 obj2)`

Method Summary
`boolean` `equals(Object o)`
`T1` `getFirst()`
`T2` `getSecond()`
`int` `hashCode()`

`static

`<T1,T2> Pair<T1,T2>`

`

`make(T1 obj1, T2 obj2)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pair

    public Pair(T1 obj1,
                T2 obj2)

Method Detail

### getFirst

    public T1 getFirst()

### getSecond

    public T2 getSecond()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### make

    public static <T1,T2> Pair<T1,T2> make(T1 obj1,
                                           T2 obj2)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.